apiVersion: apps/v1
kind: Deployment
metadata:
  name: bdevents-deployment
  labels:
    app: bdevents
spec:
  replicas: 1
  selector:
    matchLabels:
      app: bdevents
  template:
    metadata:
      labels:
        app: bdevents 
    spec:
      containers:
      - name: nodeserver
        image: abdellahyanes/bdevents:latest
        ports:
        - containerPort: 8080
        
        
---

apiVersion: v1
kind: Service
metadata:
  name: bdevents-service
spec:
  selector:
    app: bdevents 
  type: LoadBalancer
  ports:
  - protocol: TCP
    port: 8080
    targetPort: 8080
    nodePort: 31110
